Name:           maven-plugin-testing
Version:        3.3.0
Release:        %mkrel 18
Group:          Development/Java
Summary:        Maven Plugin Testing
License:        ASL 2.0
URL:            http://maven.apache.org/plugin-testing/
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugin-testing/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Port-to-plexus-utils-3.0.21.patch
Patch1:         0002-Port-to-current-maven-artifact.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-aether-provider)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.maven.shared:maven-invoker)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-file)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.easymock:easymock)

%description
The Maven Plugin Testing contains the necessary modules
to be able to test Maven Plugins.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%package harness
Summary: Maven Plugin Testing Mechanism
Obsoletes: maven-shared-plugin-testing-harness <= 0:1.2

%description harness
The Maven Plugin Testing Harness provides mechanisms to manage tests on Mojo.

%package tools
Summary: Maven Plugin Testing Tools
Obsoletes: maven-shared-plugin-testing-tools <= 0:%{version}-%{release}

%description tools
A set of useful tools to help the Maven Plugin testing.

%package -n maven-test-tools
Summary: Maven Testing Tool
Obsoletes: maven-shared-test-tools <= 0:%{version}-%{release}

%description -n maven-test-tools
Framework to test Maven Plugins with Easymock objects.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-site-plugin

sed -i -e "s/MockControl/IMocksControl/g" maven-test-tools/src/main/java/org/apache/maven/shared/tools/easymock/MockManager.java

# needs network for some reason
rm maven-plugin-testing-tools/src/test/java/org/apache/maven/shared/test/plugin/ProjectToolTest.java

%mvn_alias : org.apache.maven.shared:

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc LICENSE NOTICE
%files harness -f .mfiles-%{name}-harness
%files tools -f .mfiles-%{name}-tools
%files -n maven-test-tools -f .mfiles-maven-test-tools
%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Sep 08 2020 daviddavid <daviddavid> 3.3.0-18.mga8
+ Revision: 1623425
- Remove site-plugin from build

* Fri Aug 28 2020 neoclust <neoclust> 3.3.0-17.mga8
+ Revision: 1619372
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 3.3.0-11.mga8
+ Revision: 1491759
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.3.0-10.mga7
+ Revision: 1264076
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.3.0-9.mga6
+ Revision: 1101380
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 3.3.0-8.mga6
+ Revision: 1100028
- Remove network using test
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.3.0-6.mga6
+ Revision: 977272
- First rebuild of the java stack
- sync package maven-plugin-testing with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ zezinho <zezinho>
- new version from fedora

* Thu Dec 25 2014 pterjan <pterjan> 3.1.0-2.mga5
+ Revision: 805607
- Add missing BuildRequires
- Clean rebuild
- Sync with Fedora 21 (update to 3.1.0)

* Wed Oct 15 2014 umeabot <umeabot> 2.1-10.mga5
+ Revision: 747783
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 25 2013 dmorgan <dmorgan> 2.1-8.mga4
+ Revision: 560629
- Port to maven 3.1
- Rebuild against new javapackages
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 dmorgan <dmorgan> 2.1-5.mga4
+ Revision: 481066
- Install missing license files
- Build with xmvn
- Resolves: rhbz#920258

* Thu Jul 11 2013 dmorgan <dmorgan> 2.1-2.mga4
+ Revision: 453075
- Fix easymock requires

* Thu Jul 11 2013 dmorgan <dmorgan> 2.1-1.mga4
+ Revision: 453062
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.0-2.alpha1.3.mga3
+ Revision: 359722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 dmorgan <dmorgan> 2.0-2.alpha1.2.mga3
+ Revision: 295057
- Clean spec file
- New version 2.0-alpha-1

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-10.mga1
+ Revision: 92716
- Rebuild after bootstrapping
- imported package maven-plugin-testing


* Thu Feb 10 2011 Alexander Kurtakov <akurtako@redhat.com> 1.2-9
- Fix building.
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 20 2010 Yong Yang <yyang@redhat.com> 1.1-7
- Build with plexus-containers 1.5.4

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 1.2-6
- Proper obsolete for maven-shared-test-tools.

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 1.2-5
- One more item to the depmap.

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 1.2-4
- Add depmap to fix build.

* Sat May 29 2010 Alexander Kurtakov <akurtako@redhat.com> 1.2-3
- Obsolete maven-shared-test-tools.

* Thu May 27 2010 Yong Yang <yyang@redhat.com> 1:1.2-2.8
- Fix parent pom install

* Thu May 27 2010 Yong Yang <yyang@redhat.com> 1:1.2-2.7
- Fix installed pom.xml source path

* Thu May 27 2010 Yong Yang <yyang@redhat.com> 1:1.2-2.6
- Add more maven depmap for maven-test-tools and maven-plugin-testing-tools for backward compatibility 

* Thu May 27 2010 Yong Yang <yyang@redhat.com> 1:1.2-2.5
- Fix maven-plugin-testing-tools pom name

* Thu May 27 2010 Yong Yang <yyang@redhat.com> 1:1.2-2.4
- Change JPP.%%{name}.%%{name}-harness.pom to JPP.%%{name}-%%{name}-harness.pom

* Thu May 27 2010 Yong Yang <yyang@redhat.com> 1:1.2-2.3
- Remove epoch in Requires of maven-test-tools

* Wed May 12 2010 Alexander Kurtakov <akurtako@redhat.com> 1:1.2-2
- Fix line lengths and use macroses consistently.
- Add comment for the tests skip.
- Add missing requires and set permissions.

* Wed May 12 2010 Alexander Kurtakov <akurtako@redhat.com> 1:1.2-1
- Initial package.
